"use client"
import { useIntl } from "react-intl"

import { Typography } from "@scandic-hotels/design-system/Typography"

import LoadingSpinner from "@/components/LoadingSpinner"

import { SASModal } from "../components/SASModal"

export default function Loading() {
  const intl = useIntl()

  return (
    <SASModal>
      <LoadingSpinner />
      <Typography variant="Body/Paragraph/mdRegular">
        <p>
          {intl.formatMessage({
            defaultMessage: "Hang tight...",
          })}
        </p>
      </Typography>
    </SASModal>
  )
}
